
Name:           moto4lin
Version:        0.3
Release:        11%{?dist}
License:        GPLv2+
Summary:        Filemanager and seem editor for Motorola P2k phones
Group:          Applications/Communications
URL:            http://moto4lin.sourceforge.net/wiki/Main_Page
Source:         http://easynews.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Source2:        %{name}.png
Patch1:         %{name}-0.3-crossplatform.patch
Patch2:         %{name}-0.3-qmake.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  qt3-devel, desktop-file-utils, libusb-devel

%description
This software is Filemanager and seem editor for Motorola P2k phones
(like C380/C650).

%prep

%setup -q
%patch1 -p1 -b .crossplatform
%patch2 -p1 -b .qmake

%build
unset QTDIR && . /etc/profile.d/qt.sh
PATH=$QTDIR/bin:$PATH; export PATH

qmake
make %{_smp_mflags} all

%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}
%{__install} -p -D %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png

desktop-file-install --vendor="fedora"                        \
      --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%clean
rm -rf %{buildroot}

%files
%doc README Changelog GPL-2
%defattr(-,root,root)
%{_bindir}/moto4lin
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog
* Sun Oct 19 2008 Sean Reifschneider <jafo@tummy.com> - 0.3-11
- Updating release to build new version.

* Wed Sep 17 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.3-10
- minor qt3 build tweak
- move icon out of cvs, into sources

* Tue Apr 08 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.3-9
- BR: qt3-devel (#434135)
- License: GPLv2+

* Mon Apr 07 2008 Jesse Keating <jkeating@redhat.com> - 0.3-8
- Fix desktop file.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3-7
- Autorebuild for GCC 4.3

* Tue Feb 13 2007 Sean Reifschneider <jafo@tummy.com> 0.3-6
- Including fix from Mamoru Tasaka to use compiler flags when builing.

* Sun Feb 11 2007 Sean Reifschneider <jafo@tummy.com> 0.3-5
- More suggestions from Manuel for the Fedora packaging.  Fixing
  inconsistent build_root usage, Fixing desktop category, changing group.

* Mon Feb 05 2007 Sean Reifschneider <jafo@tummy.com> 0.3-4
- More suggestions from Manuel for the Fedora packaging.  Fixing patch in
  spec file, removing lib64usb build dependency, changing .desktop file
  categories.

* Sun Feb 04 2007 Sean Reifschneider <jafo@tummy.com> 0.3-3
- More suggestions from Manuel for the Fedora packaging.  Adding license,
  spec file no longer clears BUILDROOT, adding desktop file and an icon
  based on a Creative Commons image from veintecerodos' on flickr, adding
  crossplatform build patch from
  http://www.entheos-technologies.com/Home/moto4lin/moto4lin.html

* Sun Feb 04 2007 Sean Reifschneider <jafo@tummy.com> 0.3-2
- Changes suggested by Manuel Wolfshant: Fix SMP built flags, qmake
  build dependency, and buildroot.

* Sat Feb 03 2007 Scott Kleihege <scott-rpm@tummy.com> 0.3-0.FC6
- initial version
